/* ---Modo Claro--- */
@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    color: #333;
    background-image: url('../images/Background-1.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    transition: background-image 0.5s ease-in-out, color 0.5s ease;

    .container-landing {
        display: flex;
        flex-direction: column;
        height: 100vh;
        justify-content: space-between;

        .content {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
            margin: 178px 138px;

            @media (max-width: 1023.5px) {
                margin: 178px 79px;
            }
            @media (max-width: 976.5px) {
                margin: 134px 25px;
            }
            @media (max-width: 818.5px) {
                flex-direction: column-reverse;
                margin-bottom: 0;
            }

            .text {
                @media (max-width: 445.5px) {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                }

                h1 {
                    font-size: 84px;
                    font-family: 'Archivo', sans-serif;
                    font-weight: 800;
                    color: #333;
                    margin-bottom: 0;

                    @media (max-width: 1197.5px) {
                        font-size: 60px;
                    }
                    @media (max-width: 445.5px) {
                        font-size: 51px;
                    }
                    @media (max-width: 418.5px) {
                        font-size: 40px;
                    }
                }

                .text-2 {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: flex-end;

                    .line {
                        height: 0.75px;
                        border: none;
                        background-color: #e7180c;
                        width: 278px;
                        margin: 15px 15px 15px 0;
                        @media (max-width: 1197.5px) {
                            width: 224px;
                        }
                        @media (max-width: 445.5px) {
                            width: 175px;
                        }
                        @media (max-width: 418.5px) {
                            width: 136px;
                        }
                    }

                    p {
                        font-size: 32px;
                        font-family: 'Archivo', sans-serif;
                        font-weight: 200;
                        color: #333;
                        @media (max-width: 1197.5px) {
                            font-size: 20px;
                        }
                        @media (max-width: 445.5px) {
                            font-size: 18px;
                        }
                        @media (max-width: 418.5px) {
                            font-size: 14px;
                        }
                    }
                }
            }

            .logo-empresa {
                width: 350px;
                height: 200px;
                @media (max-width: 428.5px) {
                    width: 263px;
                }

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: contain;
                }
            }
        }

        .content-footer {
            display: flex;
            flex-direction: column;

            .menu-footer {
                display: flex;
                flex-direction: row;
                margin: 0 50px 13px 50px;
                gap: 30px;
                @media (max-width: 1003.5px) {
                    margin: 0 25px 13px 25px;
                    gap: 15px;
                    align-items: center;
                    justify-content: center;
                }

                .logo-incograf .content-image {
                    height: 50px;
                    width: 90px;

                    img {
                        width: 100%;
                        height: 100%;
                    }
                }


                .services-incograf {
                    display: grid;
                    grid-template-columns: repeat(12, 1fr);
                    width: 100%;
                    height: 60px;

                    .svg {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        position: relative;
                        overflow: hidden;
                        transition: all 0.3s ease;
                        cursor: pointer;


                        &::before {
                            content: "";
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 2px;
                            background-color: var(--service-color);
                            transition: height 0.3s ease-in-out;
                            z-index: 0;
                        }

                        &:hover::before {
                            height: 100%;
                            border-bottom-left-radius: 5px;
                            border-bottom-right-radius: 5px;
                        }

                        div[class] {
                            position: relative;
                            z-index: 1;
                            width: 20px;
                            height: 20px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            @media (max-width: 1003.5px) {
                                width: 15px;
                                height: 15px;
                            }

                            svg {
                                fill: #333;
                                transition: fill 0.3s ease;
                            }
                        }

                        &:hover svg {
                            fill: #fff !important;
                        }

                        &.design-content {
                            --service-color: #E72E21;
                        }

                        &.web-content {
                            --service-color: #a7bd00;
                        }

                        &.marketing-content {
                            --service-color: #00a4c1;
                        }

                        &.modelacao-content {
                            --service-color: #801880;
                        }

                        &.fotografia-content {
                            --service-color: #bb101f;
                        }

                        &.video-content {
                            --service-color: #f49600;
                        }

                        &.multimedia-content {
                            --service-color: #d6b200;
                        }

                        &.offset-content {
                            --service-color: #f4c300;
                        }

                        &.digital-content {
                            --service-color: #f19abc;
                        }

                        &.eventos-content {
                            --service-color: #ea4a10;
                        }

                        &.publicidade-content {
                            --service-color: #8abc0c;
                        }

                        &.brindes-content {
                            --service-color: #a069a5;
                        }
                    }
                }
                .services-incograf {
                    .svg {
                        a {
                            width: 20px;
                            height: 20px;
                        }
                    }
                }

                .services-incograf {
                    @media (max-width: 976px) {
                        display: none;
                    }
                }

                .social-media {
                    display: flex;
                    flex-direction: column;
                    gap: 5px;
                    border-left: 0.75px solid #333;
                    padding-left: 15px;

                    a {
                        color: #333;
                        text-decoration: none;
                        font-family: 'Archivo', sans-serif;
                        font-size: 11px;
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        gap: 5px;

                        svg {
                            fill: #333;
                            width: 17px;
                        }
                    }

                    .redes {
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        gap: 5px;

                        a {
                            width: 20px;

                            svg {
                                fill: #333;
                            }
                        }
                    }
                }
            }

            .services-incograf-menu {
                display: none;
                @media (max-width: 976px) {
                    display: grid;
                    grid-template-columns: repeat(12, 1fr);
                    height: 60px;
                    margin: 25px;
                    .svg {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        position: relative;
                        overflow: hidden;
                        transition: all 0.3s ease;
                        cursor: pointer;


                        &::before {
                            content: "";
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 2px;
                            background-color: var(--service-color);
                            transition: height 0.3s ease-in-out;
                            z-index: 0;
                        }

                        &:hover::before {
                            height: 100%;
                            border-bottom-left-radius: 5px;
                            border-bottom-right-radius: 5px;
                        }

                        div[class] {
                            position: relative;
                            z-index: 1;
                            width: 20px;
                            height: 20px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            @media (max-width: 1003.5px) {
                                width: 15px;
                                height: 15px;
                            }

                        }



                        &.design-content {
                            --service-color: #E72E21;

                        }

                        &.web-content {
                            --service-color: #a7bd00;
                        }

                        &.marketing-content {
                            --service-color: #00a4c1;
                        }

                        &.modelacao-content {
                            --service-color: #801880;
                        }

                        &.fotografia-content {
                            --service-color: #bb101f;
                        }

                        &.video-content {
                            --service-color: #f49600;
                        }

                        &.multimedia-content {
                            --service-color: #d6b200;
                        }

                        &.offset-content {
                            --service-color: #f4c300;
                        }

                        &.digital-content {
                            --service-color: #f19abc;
                        }

                        &.eventos-content {
                            --service-color: #ea4a10;
                        }

                        &.publicidade-content {
                            --service-color: #8abc0c;
                        }

                        &.brindes-content {
                            --service-color: #a069a5;
                        }
                    }
                }

            }
        }
    }
}

/* ---Modo Escuro--- */
/*
@media (prefers-color-scheme: dark) {*/
    body {
        color: #ffffff;
        background-image: url('../images/Background-2.jpg');

        .container-landing {
            .content .text {
                h1 {
                    color: #fff;
                }

                .text-2 p {
                    color: #fff;
                }
            }

            .content-footer .menu-footer {
                .services-incograf {
                    .svg div[class] svg {
                        fill: white;
                    }
                }

                .social-media {
                    border-left: 0.75px solid #ffffff70;
                    a {
                        color: white;

                        svg {
                            fill: white;
                        }
                    }

                    .redes a svg {
                        fill: white;
                    }
                }
            }
            .services-incograf-menu {
                display: none;
                @media (max-width: 976px) {
                    display: grid;
                    grid-template-columns: repeat(12, 1fr);
                    height: 60px;
                    margin: 25px;
                    .svg {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        position: relative;
                        overflow: hidden;
                        transition: all 0.3s ease;
                        cursor: pointer;


                        &::before {
                            content: "";
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 2px;
                            background-color: var(--service-color);
                            transition: height 0.3s ease-in-out;
                            z-index: 0;
                        }

                        &:hover::before {
                            height: 100%;
                            border-bottom-left-radius: 5px;
                            border-bottom-right-radius: 5px;
                        }

                        div[class] {
                            position: relative;
                            z-index: 1;
                            width: 20px;
                            height: 20px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            @media (max-width: 1003.5px) {
                                width: 15px;
                                height: 15px;
                            }

                            svg {
                                fill: white;
                                transition: fill 0.3s ease;
                            }
                        }

                        &:hover svg {
                            fill: #fff ;
                        }

                        &.design-content {
                            --service-color: #E72E21;
                        }

                        &.web-content {
                            --service-color: #a7bd00;
                        }

                        &.marketing-content {
                            --service-color: #00a4c1;
                        }

                        &.modelacao-content {
                            --service-color: #801880;
                        }

                        &.fotografia-content {
                            --service-color: #bb101f;
                        }

                        &.video-content {
                            --service-color: #f49600;
                        }

                        &.multimedia-content {
                            --service-color: #d6b200;

                        }

                        &.offset-content {
                            --service-color: #f4c300;
                        }

                        &.digital-content {
                            --service-color: #f19abc;
                        }

                        &.eventos-content {
                            --service-color: #ea4a10;
                        }

                        &.publicidade-content {
                            --service-color: #8abc0c;
                        }

                        &.brindes-content {
                            --service-color: #a069a5;
                        }
                    }
                }

            }
        }
    }
    /*
}
*/
 